Bug 955168 - hylafax+ package should be built with PIE flags
hylafax+ package should be built with PIE flags
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hylafax+ (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lee Howard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-22 09:45 EDT by Dhiru Kholia
Modified: 2014-03-24 23:44 EDT (History)
2 users (show)

See Also:
Fixed In Version: hylafax+-5.5.4-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-16 19:00:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dhiru Kholia 2013-04-22 09:45:09 EDT
Description of problem:

http://fedoraproject.org/wiki/Packaging:Guidelines#PIE says that "you MUST
enable the PIE compiler flags if your package is long running ...".

However, currently hylafax+ is not being built with PIE flags. This is a
clear violation of the packaging guidelines.

This issue (in its wider scope) is being discussed at,

https://fedorahosted.org/fesco/ticket/1104

https://lists.fedoraproject.org/pipermail/devel/2013-March/180827.html

Version-Release number of selected component (if applicable):

hylafax+-5.5.3-4.fc19.x86_64.rpm

How reproducible:

You can use following programs to check if a package is hardened:

http://people.redhat.com/sgrubb/files/rpm-chksec

OR

https://github.com/kholia/checksec

Steps to Reproduce:

Get scanner.py from https://github.com/kholia/checksec

$ ./scanner.py hylafax+-5.5.3-4.fc19.x86_64.rpm
hylafax+,hylafax+-5.5.3-4.fc19.x86_64.rpm,/usr/sbin/choptest,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=NA,CATEGORY=None
hylafax+,hylafax+-5.5.3-4.fc19.x86_64.rpm,/usr/sbin/cqtest,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=None
hylafax+,hylafax+-5.5.3-4.fc19.x86_64.rpm,/usr/sbin/faxadduser,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=None
hylafax+,hylafax+-5.5.3-4.fc19.x86_64.rpm,/usr/sbin/faxconfig,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=NA,CATEGORY=None
hylafax+,hylafax+-5.5.3-4.fc19.x86_64.rpm,/usr/sbin/faxdeluser,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=None
hylafax+,hylafax+-5.5.3-4.fc19.x86_64.rpm,/usr/sbin/faxgetty,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Disabled,CATEGORY=None
hylafax+,hylafax+-5.5.3-4.fc19.x86_64.rpm,/usr/sbin/faxmodem,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=NA,CATEGORY=None
hylafax+,hylafax+-5.5.3-4.fc19.x86_64.rpm,/usr/sbin/faxq,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Disabled,CATEGORY=None
hylafax+,hylafax+-5.5.3-4.fc19.x86_64.rpm,/usr/sbin/faxqclean,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=None
hylafax+,hylafax+-5.5.3-4.fc19.x86_64.rpm,/usr/sbin/faxsend,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=NA,CATEGORY=None
hylafax+,hylafax+-5.5.3-4.fc19.x86_64.rpm,/usr/sbin/faxstate,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=NA,CATEGORY=None
hylafax+,hylafax+-5.5.3-4.fc19.x86_64.rpm,/usr/sbin/hfaxd,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=network-ip
hylafax+,hylafax+-5.5.3-4.fc19.x86_64.rpm,/usr/sbin/lockname,NX=Enabled,CANARY=Disabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=NA,CATEGORY=None
hylafax+,hylafax+-5.5.3-4.fc19.x86_64.rpm,/usr/sbin/ondelay,NX=Enabled,CANARY=Disabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=NA,CATEGORY=None
hylafax+,hylafax+-5.5.3-4.fc19.x86_64.rpm,/usr/sbin/pagesend,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Disabled,CATEGORY=None
hylafax+,hylafax+-5.5.3-4.fc19.x86_64.rpm,/usr/sbin/tagtest,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=None
hylafax+,hylafax+-5.5.3-4.fc19.x86_64.rpm,/usr/sbin/tsitest,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=None
hylafax+,hylafax+-5.5.3-4.fc19.x86_64.rpm,/usr/sbin/faxquit,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=NA,CATEGORY=None
Comment 1 Fedora Update System 2013-08-07 00:18:03 EDT
hylafax+-5.5.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/hylafax+-5.5.4-1.fc19
Comment 2 Fedora Update System 2013-08-07 00:47:32 EDT
hylafax+-5.5.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/hylafax+-5.5.4-1.fc18
Comment 3 Fedora Update System 2013-08-07 00:56:40 EDT
hylafax+-5.5.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/hylafax+-5.5.4-1.el6
Comment 4 Fedora Update System 2013-08-07 01:22:45 EDT
hylafax+-5.5.4-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/hylafax+-5.5.4-1.el5
Comment 5 Fedora Update System 2013-08-07 14:12:02 EDT
Package hylafax+-5.5.4-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing hylafax+-5.5.4-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11129/hylafax+-5.5.4-1.el6
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-08-16 19:00:57 EDT
hylafax+-5.5.4-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-08-16 19:03:58 EDT
hylafax+-5.5.4-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-08-22 01:48:34 EDT
hylafax+-5.5.4-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-08-22 01:48:44 EDT
hylafax+-5.5.4-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.